org.apache.fontbox.cff

## Class CFFOperator.Key

- java.lang.Object
- - org.apache.fontbox.cff.CFFOperator.Key

Enclosing class:
  CFFOperator

    public static class CFFOperator.Key
    extends Object

This class is a holder for a key value. It consists of one or two bytes.

Author:
  Villu Ruusmann

### Constructor Summary

Constructors
Constructor and Description
`Key(int b0)` Constructor.
`Key(int b0, int b1)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object object)`
`int[]` `getValue()` Returns the value of the key.
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Key

    public Key(int b0)

Constructor.

Parameters:
  `b0` - the one byte value

#### Key

    public Key(int b0,
               int b1)

Constructor.

Parameters:
  `b0` - the first byte of a two byte value
  `b1` - the second byte of a two byte value

### Method Detail

#### getValue

    public int[] getValue()

Returns the value of the key.

Returns:
  the value

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object object)

Overrides:
  `equals` in class `Object`